package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author gaodm
 * @since 2020-04-17
 */
@Data
public class BasDoctorInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * HIS导入的医生ID
     */
    @TableId(value = "doctor_id",type = IdType.INPUT)
    private String doctorId;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 医院导入科室ID
     */
    private String deptId;

    /**
     * 姓名
     */
    private String name;

    /**
     * 职称
     */
    private String professor;

    /**
     * 职业医师资格
     */
    private String occup;
    /**
     * 职业医师资格
     */
    private String groupId;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;


    @Override
    public String toString() {
        return "BasDoctorInfo{" +
                "doctorId=" + doctorId +
                ", hospitalId=" + hospitalId +
                ", deptId=" + deptId +
                ", name=" + name +
                ", professor=" + professor +
                ", occup=" + occup +
                ", isDeleted=" + isDeleted +
                ", gmtCreate=" + gmtCreate +
                ", gmtModified=" + gmtModified +
                ", creator=" + creator +
                ", modifier=" + modifier +
                "}";
    }
}
